Substy Developers
Intelligence

Unshare intelligence conversation

Disable sharing for a Substy Intelligence conversation and revoke its current share link.

DELETE/v1/agencies/{agencyId}/intelligence/conversations/{conversationId}/share

Disable sharing for a Substy Intelligence conversation and revoke its current share link.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
conversationId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/agencies/string/intelligence/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/share" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "agencyId": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "deletedAt": null,    "pinned": true,    "title": "string",    "createdByUserId": "string",    "lastMessageAt": null,    "summary": null,    "summaryThroughSequence": 0,    "archivedAt": null,    "sharedAt": null,    "sharedByUserId": null  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}